$(document).ready(function(){
    var url=document.URL;
	//bind the submit button
	$("#cmdsubmit").bind("click",submitData);
	$("#cmdcancel").bind("click",function(){
		window.history.go(-1);
	});
	//bind change event to the faculty select object
	$("#csFaculty").change(function(){
		var theValue=$(this).val();
		if(theValue==0)
		{
			$("#csDepartment").attr("disabled",true);
		}else
		{  
			flashMessage(2,"Loading departments please wait...");
			loadDepartmentSelect(theValue);
		}
		
	});
	//bind department change
	$("#csDepartment").change(function(){
		var theValue=$(this).val();
		if(theValue==0)
		{
			$("#csStudy").attr("disabled",true);
		}else
		{
			flashMessage(2,"Loading course of study please wait...");
			loadStudySelect(theValue);
		}
	});
	//bind state
	$("#csState").change(function(){
		var thevalue=$(this).val();
		if(thevalue==0)
		{
			$("#csLGA").attr("disabled",true);
		}else
		{
			flashMessage(2,"Loading State LGA please wait...");
			loadLgaSelect(thevalue);
		}
		
	});
	//bind programme
	$("#csProgramme").change(function(){
		var theValue=$(this).val();
		if(theValue==0)
		{
			$("#csDegree").attr("disabled",true);
		}else
		{
			flashMessage(2,"Loading Degree of study please wait...");
			loadDegreeSelect(theValue);
		}
		
	});
	
});
//creates a handler for the user group to track leturer
function loadLgaSelect(sid)
{

	$.post("ajaxDispatcher.php",{stateID:sid},function(data){
		var nodes=data.getElementsByTagName("lga");
        var targetObj=document.getElementById("csLGA");
        if(targetObj.firstChild)
        {
        	while(targetObj.firstChild)
        	{
        		targetObj.removeChild(targetObj.firstChild);
        	}
        }
        
        for(var k=0;k<nodes.length;k++)
        {
        	
         var optiontag=document.createElement("option");
            optiontag.value=nodes[k].getAttribute('lgaId');
            optiontag.appendChild(document.createTextNode(nodes[k].getAttribute('lgaName')));
           targetObj.appendChild(optiontag);
           
        }
        flashMessage(1,"");
        $("#csLGA").attr("disabled",false);
        
	});
	
}
//loads degree select box
function loadDegreeSelect(pid)
{
	//clear the seelect box
	var targetObject=$("#csDegree");
	 
	  $.post("ajaxDispatcherReloaded.php",{requestKey:'loadDegree',aProgrammeid:pid},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('degree');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csDegree");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");
	  	       
	  	           optiontag.value=child_nodes[k].getAttribute('degreeId');
	  	       
	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('degreeName')));
	  	           myselect.appendChild(optiontag);                  
	  	          
	  	   }
	  	   //enable the department select object if it is loaded
	  	   flashMessage(1,"");
	  	   $("#csDegree").attr("disabled",false);
	  });	
}

function loadDepartmentSelect(fid)
{
	//clear the seelect box
	var targetObject=$("#csDepartment");
	 
	  $.post("ajaxDispatcher.php",{facultyID:fid},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('department');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csDepartment");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");
	  	       
	  	           optiontag.value=child_nodes[k].getAttribute('deptId');
	  	       
	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('deptName')));
	  	           myselect.appendChild(optiontag);                  
	  	          
	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csDepartment").attr("disabled",false);
	  	   flashMessage(1,"");
	  });	
}
function loadStudySelect(deptId)
{
	//clear the seelect box
	var targetObject=$("#csStudy");
	 
	  $.post("ajaxDispatcher.php",{studyDepartmentID:deptId},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('study');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csStudy");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");
	  	       
	  	           optiontag.value=child_nodes[k].getAttribute('studyId');
	  	       
	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('studyName')));
	  	           myselect.appendChild(optiontag);                  
	  	           
	  	              
	  	              
	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csStudy").attr("disabled",false);
	  	   flashMessage(1,"");
	  });
	
}
function submitDatareport()
{
	var frm=document.getElementById("reportForm");
	var errorArray=new Array();
	var selectData=document.getElementsByTagName("select");
	if(!selectData)
	{
		throw new Error("Could not get select objects");
	}
	
	for(var l=0;l<selectData.length;l++)
	{
		 var e=selectData[l];
		 
		 	if(e.selectedIndex==0 || e.options[e.selectedIndex].value==undefined)
		 	{
		 		errorArray.push(e.id.substr(2));
		 		break;
		 	}
		 
	}
	
	if(errorArray.length>0)
	{
		alert("Please select "+ errorArray.pop()+" from the options");
		return;
	}else
	{
		frm.submit();
		return;
	}
	
}
function printData()
{
	var fileName=document.URL;
	var xWidth=1286;
	var xHeight=800;
	 var url=fileName+"?printMode=1";
	var oWin=window.open(url,'','scrollbar=yes,status=no,addressbar=no,width='+ xWidth +',height='+ xHeight +'');

}
function setData()
{
	//remove the control box
	//$("#control-box").hide();
	$("#control-box").html("<a href='#' onclick='window.print();'>Print</a>");
	//remove the form box
	$("#form-box").hide();
	//remove the pagination box
	$("#pagination-box").hide();
	return;
}
function submitData()
{
	var frm=document.getElementById("addForm");
	var errorArray=new Array();
	if(!frm)
	{
		throw new Error("Could nto get the select object");
	}
	var selectData=frm.getElementsByTagName("select");
	var textData=frm.getElementsByTagName("input");
	for(var k=0;k<selectData.length;k++)
	{
		var d=selectData[k];
	  if(d.selectedIndex==0 || d.options[d.selectedIndex].value=='0')
	  {
		errorArray.push(d.id.substr(2));
		break;
	  }
	}
	if(errorArray.length>0)
	{
		alert("please select "+ errorArray.pop()+" from the options");
		return;
	}else
	{
		//check the text fields
		 for(var p=0;p<textData.length;p++)
		 {
		 	var e=textData[p];
		 	if(e.type=='text')
		 	{
		 		if(e.value.length==0 || e.value.length==1)
		 		{
		 			if(e.id!='csOthernames')
		 			{
		 			  errorArray.push(e.id.substr(2));
		 			  break;
		 			}
		 		}
		 		
		 	}
		 }
		 
		 if(errorArray.length>0)
		 {
		 	alert("Please enter the value for "+ errorArray.pop()+" ");
		 	return;
		 }else
		 {
		 	frm.submit();
		 	//alert("ready to submit form");
		 	return;
		 }
		//frm.submit();
		//return;
	}
}
