<?php
session_start();
require_once("library/include/utility-functions.php"); 
require_once("library/include/course-functions.php");
require_once("library/include/xml-processing-functions.php");

if($_SERVER['REQUEST_METHOD']=='POST')
{
	//get the faculty id
	$facultyID=$_POST['facultyID'];
	$departmentID=$_POST['departmentID'];
	$studyDepartmentId=$_POST['studyDepartmentID'];
	$stateID=$_POST['stateID'];
	$studyID=$_POST['studyID'];
	 if($facultyID)
	 {
	 	// load the department for the selected faculty
	 	$departmentList=get_departments($facultyID);
	 	//create the xml format
	 	$xmlDoc=createDataXml($departmentList);
	 	ob_start();
	 	echo"<?xml version='1.0' encoding='utf-8'?>";
	 	    
	 	echo $xmlDoc;
	 	
	 	$xmlData=ob_get_contents();
	 	ob_end_clean();
	 	
	 		
	 }else if($departmentID)
	 {
	 	  //load course by department
	 	  $courseLists=get_course_by_department($departmentID);
	 	  //craeate the xml data
	 	  $xmlDoc=createCourseXML($courseLists);
	 	  ob_start();
	 	  echo"<?xml version='1.0' encoding='utf-8'?>";
	 	  echo $xmlDoc;
	 	  $xmlData=ob_get_contents();
	 	  ob_end_clean();
	 }else if($studyDepartmentId)
	 {
	 	//load the field of study based on the department ID
	 	$studyList=get_study_by_department($studyDepartmentId);
	 	//create the xml data
	 	$xmlDoc=createStudyXml($studyList);
	 	ob_start();
	 	echo"<?xml version='1.0' encoding='utf-8'?>";
	 	echo $xmlDoc;
	 	$xmlData=ob_get_contents();
	 	ob_end_clean();	 
	 	
	 }else if($stateID)
	 {
	 	//load the lga for this state ID
	 	$lgaList=get_lga_by_state($stateID);
	 	//create the xml data
	 	$xmlDoc=createLgaXml($lgaList);
	 	ob_start();
	 	echo"<?xml version='1.0' encoding='utf-8'?>";
	 	echo $xmlDoc;
	 	$xmlData=ob_get_contents();
	 	ob_end_clean();
	 }else if($studyID)
	 {
	 		//load the lga for this state ID
	 	$matricList=loadMatricno($studyID);
	 	//create the xml data
	 	$xmlDoc=createMatricnoXml($matricList);
	 	ob_start();
	 	echo"<?xml version='1.0' encoding='utf-8'?>";
	 	echo $xmlDoc;
	 	$xmlData=ob_get_contents();
	 	ob_end_clean();
	 }
	 
	//send the appropriate header
	 	header("Content-Type:application/xml");
	 	echo $xmlData;
	 	exit(); 
	 	
}else 
{
	
}
exit();
?>