$(document).ready(function(){
	
	//bind the submit button
	$("#cmdsubmit").bind("click",updatePrivilege);
	//bind all check box in the page
	$(":checkbox").bind("click",function(){
		var theid=$(this).attr("id");
		var thevalue=$(this).attr("value");
		if(theid=='all_privilege' && $(this).is(":checked"))
		{
			chk_all();
			return;
		}else if(theid=='all_privilege' && !$(this).is(":checked"))
		{
			unchk_all();
			return;
		}
		
		if($(this).is(":checked"))
		{
			$(this).attr("value",1);
		}else
		{
			$(this).attr("value",0);
		}
		
		return;
	});
	//run the update on load
	update_checkbox();
});
function chk_all()
{
	//get all the check boxes except the all priv and mark then as checked
	$(":checkbox").each(function(index,mebo){
		if(!$(this).is("#all_privilege"))
		{
			$(this).attr("checked",true);
			$(this).attr("value",1);
		}
	});
}
function update_checkbox()
{
	//mark checkboxes as either checked or not based on its value
	$(":checkbox").each(function(index,ama){
		if(!$(this).is("#all_privilege"))
		{
			if($(this).attr("value")>0)
			{
				$(this).attr("checked",true);
			}
		}
	});
}
function unchk_all()
{
	//get all check boxes and uncheck them
	$(":checkbox").each(function(index,mebo){
		$(this).attr("checked",false);
		$(this).attr("value",0);
	});
}
function updatePrivilege()
{
	var errorCounter=0;
	//check if no checkbox is set and alert a message
	$(":checkbox").each(function(index,mebo){
		if($(this).is(":checked"))
		{
			errorCounter++;
		}
	});
	
	if(errorCounter>0)
	{
		//proceed with the form submission
		$("#privEditForm").submit();
		return;
	}else
	{
		alert("Please define privileges for this group");
		return;
	}
	

}