<?php
session_start(); $_POST['csSession']=$_SESSION['csSession']; 
require_once("office-functions/utility-functions-grade.php");
require_once("office-functions/lecturer-functions-grade.php");
require_once("office-functions/course-functions-grade.php");
require_once("office-functions/grade-functions-grade.php");
$errorMessage='';
$errorClass='hidden-state';
$studentDataset=array();
$sorder=(isset($_GET['sortby'])?$_GET['sortby']:0);
$currentSession=get_current_session();
//security check
$hash=md5($_SESSION['fullname'].$_SESSION['groupID'].$_SESSION['started']);
$totest=$_SESSION['gate_key'];
if(strcmp($hash,$totest)!=0) {
	echo"Invalid access";
	exit();
}else {

	$data=unserialize($_SESSION['QueryData']);

	if(is_null($data->courseId)) {
		die("Invalid parameter, could not get the specified course id");

	}else {

		//check if this course is enabled for editting
        $isEnabled=check_if_course_isenabled($data->courseId);
		$expected_value = getTotalGradeByCourseId($data->courseId);
		$expected_ass =$expected_value->assesment;
		$expected_exam = $expected_value->exam;
		
		
        if($isEnabled['is_enabled']==0)
        {
        	//the course has been disdabled for editting
         echo "<center>
                <h1 style='font-size:16px;font-family:tehoma,arial;padding:10px 5px;background:#ffebe8;border:1px solid #dd3c10;'>
                This Course result entries has been disabled from further modifications
                </h1></center>";
         exit;
        }
		if($_SERVER['REQUEST_METHOD']=='POST') {
			//find out what we need to do
			$actionType=$_POST['actiontype'];
			$actionName=$_POST['actionname'];
			switch((int)$actionType) {
				case 1:
					// we are sorting  student
					$sortKey=$_POST['sort_by'];
					//do the sorting
					//we are generating default output to the browser
					$courseInfo=getCourseInformation($data->courseId);
					//get students in this class
					$studentInfo=getStudentInClass($data->courseId,
					$data->facultyId,
					$data->departmentId,
					$data->sessionId,
					$data->studyId,
					$data->levelId,
					1,
					$sortKey);
					break;
				case 2:
					// we are filtering student,course ,faculty,department,study,level
					$querys=new stdClass();
					$querys->courseId=$_POST['csCoursecode'];
					$querys->studyId=$_POST['csStudy'];
					$querys->facultyId=$_POST['csFaculty'];
					$querys->departmentId=$_POST['csDepartment'];
					$querys->levelId=$_POST['csLevel'];
					$querys->sessionId=$_POST['csSession'];
					//$querys->courseId=$data->courseId;
					$data=$querys;
					if(isset($_SESSION['QueryData'])) {
						unset($_SESSION['QueryData']);
					}

					$courseInfo=getCourseInformation($data->courseId);
					//get students in this class
					$studentInfo=getStudentInClass($querys->courseId,
					$querys->facultyId,
					$querys->departmentId,
					$querys->sessionId,
					$querys->studyId,
					$querys->levelId,
					0,
					null);
					//store the query data for later reuse
					$_SESSION['QueryData']=serialize($querys);
					break;
				case 3:
					// we are adding a score entry for the students
					$studentID=$_POST['students'];
					$studentCA=$_POST['ca'];
					$studentExam=$_POST['exam'];
					$studentCaStatus=$_POST['ca_status'];
					$studentExamStatus=$_POST['exam_status'];
					$sessionID=$_POST['csSession'];
					$studentComment = $_POST['comment'];
								
					
					//$studentGD=$_POST['grade'];

					$collection=array();
					foreach (@$studentID as $id)
					{
						$arr=array();
						$arr["courseId"]=$data->courseId;
						$arr["examScore"]=$studentExam[$id];
						$arr["caScore"]=$studentCA[$id];
						$arr['caStatus']=$studentCaStatus[$id];
						$arr['examStatus']=$studentExamStatus[$id];
						$arr['commentStatus']=(int)$studentComment[$id];
						$arr['examSession']=$sessionID;
						//$arr['Grade']=$studentGD[$id];
						
						$collection[$id]=$arr;
					}
					$add=addScores($collection);
					if($add["error"]["code"]!=0)
					{
						$errorMessage=$add['error']['msg'];

					}else
					{
						$errorMessage="Records saved successfully";
					}
					$data=unserialize($_SESSION['QueryData']);
					//we are generating default output to the browser
					$courseInfo=getCourseInformation($data->courseId);
					//get students in this class
					$studentInfo=getStudentInClass($data->courseId,
					                               $data->facultyId,
					                               $data->departmentId,
					                               $data->sessionId,
					                               $data->studyId,
					                               $data->levelId,
					                               0,
					                               null);
					break;
			}

		}else {
			// we just load data
			$data=unserialize($_SESSION['QueryData']); 	
			//we are generating default output to the browser
			$courseInfo=getCourseInformation($data->courseId);
			//get students in this class

			$studentInfo=getStudentInClass($data->courseId,
			$data->facultyId,
			$data->departmentId,
			$data->sessionId,
			$data->studyId,
			$data->levelId,
			0,
			null);

		}
	}

    ?>
<html>
    <head>
        <title>
        </title>
        <script type="text/javascript">
        </script>
        <style type="text/css">
            html
            {
                width:100%;
                height:100%;
                margin:0px;
                padding:0px;
            }
            body
            {
                padding:0px;
                margin:0px;
                font:13px "lucida grande",arial,sans-serif,helvetica;
                color:#222;
            }
            .page_wrapper
            {
                margin-left:2px;
                margin-right:2px;
                width:auto;
                height:auto;
                border:1px solid #f2f2f2;
            }
            .page_top
            {
                width:auto;
                position:relative;
                margin-left:1px;
                margin-right:1px;
                height:auto;
                background:black;
                color:white;
                padding:4px 4px;
                font-size:12px;
                font-family:"lucida grande",helvetica,arial;
                font-weight:bold;
            }
            select
            {
            font-size:11px;
            }
            .link_block
            {
                margin-left:5px;
                margin-right:5px;
                width:auto;
                height:22px;
                border:1px solid #f6f6f6;
                text-align:right;
                margin-bottom:1px;
            }
            .link_block ul
            {
                margin:0px;
                padding:4px 4px;
                list-style-type:none;
            }
            .link_block ul li
            {
                display:inline;
            }
            .link_block ul li a
            {
                width:auto;
                height:15px;
                padding:3px 4px;
                text-decoration:none;
                color:#666;
                font-weight:bold;
                font-size:11px;
            }
            .link_block ul li a:hover
            {
                color:#222;
                text-decoration:underline;
            }
            .sort_block
            {
                margin-left:5px;
                margin-right:5px;
                width:auto;
                height:23px;
                border-bottom:1px solid #f6f6f6;
            }
            .data_block_panel
            {
                margin-left:5px;
                margin-right:5px;
                width:auto;
                height:420px;
                overflow-y:auto;
                margin-bottom:2px;
                margin-top:5px;
                border:1px solid #f6f6f6;
            }
            .data_block_panel th
            {
                font-size:12px;
                color:white;
                padding:3px 1px;
            }
            .deactivate_block
            {
                display:none;

            }
            .sort_block label
            {
                font-weight:bold;
                font-size:12px;
            }
            .cmd-go
            {
                font-size:11px;

            }
            .indicator_block
            {
                width:auto;
                margin-left:15px;
                margin-right:15px;
                padding:5px 5px;
                height:auto;
                font-weight:bold;
                color:black;
                font-size:11px;
                font-family:tehoma,verdana;
                background-color:#ffebe8;
                border:1px solid #dd3c10;
            }
            .even
            {
                background-color:white;
                font-size:11px;
                font-family:"Lucida Grande",tehoma,verdana,arial;
            }
            .errorClass
           {
            background-color:lightgoldenrodyellow;
             border:1px solid red;
           }
            .button-control
            {
                text-align:right;
                padding:2px 20px;
                background:#ccc;
            }
            .odd
            {
                background-color:#f1f5f6;
                font-size:11px;
                font-family:"Lucida Grande",tehoma,verdana,arial;
            }
            .txt
            {
            width:50px;
            }
            .button-input
            {
            font:caption;
            }
        </style>
        <script type="text/javascript" src="jquery.js"></script>
        <script type="text/javascript" src="js/add-score2.js"></script>

    </head>
    <body <? /*?>onUnload="exittingWindow();" <? */?>">
        <div id="page_wrapper" class="page_wrapper">
            <div id="page_top" class="page_top">
                [<?php echo $courseInfo->courseCode;?>]
                [<?php echo count($studentInfo);?>] STUDENTS REGISTERED
                (<?php echo $courseInfo->courseTitle;?>) FOR <?php
				 $ssKey=$data->sessionId;
				 echo $ssKey.'/'.($ssKey+1);
                //echo get_current_session()->session;?> ACADEMIC SESSION
            </div>
            <div id="link_block" class="link_block">
                <ul>
                    <li><a href="student-scoresheet.php?stdlevel=<?php echo $data->levelId ?>">Score Sheet</a></li>
                    <li><a href="student-scorepreview.php">Score Preview</a></li>
                    <!--<li><a href="lecturer-uploader.php">Upload Assignment</a></li>-->
                </ul>
            </div>
            <form id="layerform" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>">
                <input type="hidden" name="actiontype" id="actiontype"value="1"/>
                <input type="hidden" name="actionname" id="actionname"value="0"/>
<input type='hidden' name="csSession" id='csSession' value="<?php echo $data->sessionId;?>"/>
                <div id="sort_block" class="sort_block">
                    <label>Sort by key</label> :<select name="sort_by"id="sort_by">
                        <option value="0">--</option>
                        <option value="faculty">Faculty</option>
                        <option value="department">Department</option>
                        <option value="level">Level</option>
                        <option value="firstname">Firstname</option>
                        <option value="lastname">Lastname</option>
                        <option value="matricno">Matric No</option>
                    </select>
                    <input type="button" class="cmd-go"name="cmdGoSort" id="cmdGoSort" value="Go"/>

                    <label>Filter :</label>
                    <select id="csCoursecode" name="csCoursecode">
                     <option value="0">--Course--</option>
                      <?php if($_SESSION['groupID']==21){ $loadCourses=listAssignedCoursesall(); 
			  }else{ $loadCourses=listAssignedCourses($_SESSION['userid']); }?>
                  <?php if(count($loadCourses)):?>
                    <?php foreach($loadCourses as $cc):?>
                       <?php if($data->courseId==$cc->courseId):?>
                         <option value="<?php echo $cc->courseId;?>"selected>
                           <?php echo strtoupper($cc->courseCode);?>
                         </option>
                       <?php else:?>
                           <option value="<?php echo $cc->courseId;?>">
                           <?php echo strtoupper($cc->courseCode);?>
                         </option>
                       <?php endif;?>
                    <?php endforeach;?>
                    <?php else:?>
                    <option value="0">No course assigned to you yet</option>
                  <?php endif;?>
                    </select>
                    <select id="csFaculty" name="csFaculty">
                        <option value="0">--Faculty--</option>
                            <?php $allFaculty=getStudentInClassFacultys($data->courseId);?>
                            <?php foreach($allFaculty as $f):?>
                                <?php if($f->facultyId==$data->facultyId):?>
                        <option value="<?php echo $f->facultyId;?>"selected><?php echo $f->facultyName;?></option>
                                <?php else:?>
                        <option value="<?php echo $f->facultyId;?>"><?php echo $f->facultyName;?></option>
                                <?php endif;?>
                            <?php endforeach;?>
                    </select>
                    <select id="csDepartment" name="csDepartment">
                        <option value="0">--Department--</option>
                            <?php $allDepartments=array();if(!is_null($data->facultyId)) { $allDepartments=getStudentInClassDepartments($data->courseId,$data->facultyId);}?>
                            <?php if(count($allDepartments)):?>
                                <?php foreach ($allDepartments as $d):?>
                                    <?php if($d->departmentId==$data->departmentId):?>
                        <option value="<?php echo $d->departmentId;?>"selected><?php echo $d->departmentName;?></option>
                                    <?php else:?>
                        <option value="<?php echo $d->departmentId;?>"><?php echo $d->departmentName;?></option>
                                    <?php endif;?>
                                <?php endforeach;?>
                            <?php endif;?>
                    </select>
                    <select id="csStudy" name="csStudy">
                        <option value="0">--Degree Programme--</option>
                            <?php $allCourse=array();if(!is_null($data->departmentId)) {$allCourse=getStudentInClassStudy($data->courseId,$data->departmentId);}?>
                            <?php if(count($allCourse)):?>
                                <?php foreach ($allCourse as $c):?>
                                    <?php if($c->studyId==$data->studyId):?>
                        <option value="<?php echo $c->studyId;?>"selected><?php echo $c->studyName;?></option>
                                    <?php else:?>
                        <option value="<?php echo $c->studyId;?>"><?php echo $c->studyName;?></option>
                                    <?php endif;?>
                                <?php endforeach;?>
                            <?php endif;?>
                    </select>
                    <? /* ?><select id='csLevel' name='csLevel'>
                    <option value="0">--Level--</option>
                    <?php $levelLists=get_levels_coursecode($courseInfo->courseCode); //$levelLists=get_levels();?>
                    <?php if(count($levelLists)):?>
                      <?php foreach($levelLists as $l):?>
                        <?php if($data->levelId==$l->levelId):?>
                          <option value="<?php echo $l->levelId;?>"selected><?php echo $l->levelName;?></option>
                         <?php else:?>
                         <option value="<?php echo $l->levelId;?>"><?php echo $l->levelName;?></option>
                         <?php endif;?>
                      <?php endforeach;?>
                    <?php else:?>
                    <?php endif;?>
                    </select><? */?>
                    <input type="hidden" name="csLevel" id="csLevel"value="4"/>
                    <input type="button" class="cmd-go"name="cmdFilter" id="cmdFilter" value="Go"/>

                </div>
                <div id="indicator_block" class="indicator_block deactivate_block">Loading...</div>
                <div class="button-control">
			<?php list($sessionnow, $sessionplus) = split('[/.-]', $currentSession->session); if($sessionnow==$_POST['csSession'] || $_SESSION['groupID']=='21'){?>
                    <input type="button" class='button-input' id="cmdSave2" value="Save"/>
				<?php } ?>
                </div>
                <div id="data_block_panel" class="data_block_panel">

                    <table width="100%" align="center" cellpadding="1" cellspacing="1" height="auto" border="0">
                        <tbody>
                            <tr bgcolor="#222">
                                <th align="left"width="1%">#</th>
                                <th align="left"width="6%">Matric no</th>
                                <th align="left"width="5%">Name</th>
                                <th align="left"width="4%">Faculty</th>
                                <th align="left"width="4%">Department</th>
                                <th align="left"width="1%">Level</th>
                                <th align='left' width="1%">Status</th>
                                <th align="left"width="2%">CA</th>
                                <th align='left' width="1%">Status</th>
                                <th align="left"width="2%">Exams</th>
                                <th align="left"width="2%">Total</th>
                                <th align="left"width="5%">Comment</th>

                            </tr>
                                       <input type="hidden"  id="x" name="x" value="<? echo $expected_ass;?>"/>
                                         <input type="hidden"  id="y" name="y" value="<? echo $expected_exam;?>"/>
                                <?php //$grades=getGradeSystem()->data;?>
                                <?php $ct=1; if(count($studentInfo)):?>

                                    <?php foreach($studentInfo as $s):?>
                            <tr valign="top" class="<?php echo ($ct%2==0)?'even':'odd';?>" onMouseOver="this.style.backgroundColor='#F7E187'" onmouseout='this.style.backgroundColor="<?php echo ($ct%2==0)?'#f1f5f6':'white';?>"'>
                                <td><span><?php echo $ct;?></span></td>
                                <td><?php echo strtoupper($s->studentMatricno);?></td>
                                <td><?php echo strtoupper($s->studentName);?></td>
                                <td><?php echo $s->studentFaculty;?></td>
                                <td><?php echo $s->studentDepartment;?></td>
                                <td><?php echo $s->studentLevel;?></td>
                                            <?php $d=$s->studentEntry;?>
                                 <td>
                                 	<input
                                        type="checkbox"
                                        id="<?php echo $s->studentId;?>-status"
                                        name="ca_status[<?php echo $s->studentId;?>]"
                                        value="<?php echo $d->studentCaStatus;?>"/>
                                 </td>
                                <td>
                                    <input
                                        type="hidden"
                                        id="<?php echo $s->studentId;?>"
                                        name="students[]"
                                        value="<?php echo $s->studentId;?>"/>
                                    <input
                                        type="text"
                                        class='txt'id="<?php echo $s->studentId;?>-ca"
                                        name="ca[<?php echo $s->studentId;?>]"
                                        value="<?php echo number_format($d->studentAssessment,2);?>"/>
                                </td>
                                <td>
                                <input
                                        type="checkbox"
                                        id="<?php echo $s->studentId;?>-status"
                                        name="exam_status[<?php echo $s->studentId;?>]"
                                        value="<?php echo $d->studentExamStatus;?>"/>
                                </td>
                                <td>
                                    <input
                                        type="text"
                                        class='txt'
                                        id="<?php echo $s->studentId;?>-exam"
                                        name="exam[<?php echo $s->studentId;?>]"
                                        value="<?php echo number_format($d->studentExamscore,2);?>"/>
                                </td>

                                <td>
                                    <span>
                                        <?php echo number_format($d->studentExamscore + $d->studentAssessment,2);?>
                                    </span>
                                </td>
                                <td>
                                      <select name="comment[<?php echo $s->studentId;?>]" id="comment[<?php echo $s->studentId;?>]">
                                       <option value="0">--comment--</option>
                                       <?php $allStatus=get_grade_comment();?>
                                       <?php foreach($allStatus as $a):?>
                                       <?php  if($d->studentComment==$a->commentId):?>
                                       <option value="<?php echo $a->commentId;?>" selected ><?php echo $a->comment;?></option>
                                       <?php else:?>
                                        <option  value="<?php echo $a->commentId;?>"><?php  echo $a->comment;?></option>
                                          <?php  endif;?>
                                           <?php endforeach;?>
                                              </select>
                                
                                
                                </td>
                            </tr>
                                        <?php $ct++;endforeach;?>
                                <?php else :?>
                            <tr><td colspan="9" align='center'>There are no students records found for this course</td></tr>
                                <?php endif;?>
                        </tbody>
                    </table>
                </div>
                <div class="button-control">
			<?php list($sessionnow, $sessionplus) = split('[/.-]', $currentSession->session); if($sessionnow==$_POST['csSession']  || $_SESSION['groupID']=='21'){?>
                   <input type="button" id="cmdSave" class='button-input'value="Save"/>
			<?php } ?>
                </div>
            </form>
            <div>
                <p>Assessment :<? echo $expected_ass;?></p>
                <p>Examination :<? echo $expected_exam;?></p>
            </div>
        </div>
    </body>
</html>
<?php
}
?>